Get Queue by ID
curl --request GET \
--url https://{instance}.domo.com/api/queues/v1/{queueId} \
--header 'X-DOMO-Developer-Token: <api-key>'import requests
url = "https://{instance}.domo.com/api/queues/v1/{queueId}"
headers = {"X-DOMO-Developer-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-DOMO-Developer-Token': '<api-key>'}};
fetch('https://{instance}.domo.com/api/queues/v1/{queueId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "168ecd84-4a15-45f6-89d9-021fbbce0481",
"name": "Review Airplane Part Action Items",
"description": "Human review of AI generated recommendations for QA process improvements based on product defects in manufacturing QA.",
"active": true,
"taskLevelFiltersEnabled": true,
"taskLevelFilters": "<unknown>",
"owner": "8811501",
"createdBy": "8811501",
"createdOn": "2023-10-18T14:48:23.314Z",
"updatedBy": "8811501",
"updatedOn": "2023-10-18T14:48:23.314Z"
}Get Queue by ID
Returns a queue by ID
GET
/
api
/
queues
/
v1
/
{queueId}
Get Queue by ID
Authorizations
Domo Developer Token for authentication
Path Parameters
The ID of the queue
Response
Queue object based on the queueId specified
Unique identifier for the queue
Example:
"168ecd84-4a15-45f6-89d9-021fbbce0481"
Name of the queue
Example:
"Review Airplane Part Action Items"
Description of the queue
Example:
"Human review of AI generated recommendations for QA process improvements based on product defects in manufacturing QA."
Whether the queue is active
Example:
true
Whether task level filters are enabled
Example:
true
Task level filters configuration
User ID of the queue owner
Example:
"8811501"
User ID who created the queue
Example:
"8811501"
Timestamp when the queue was created
Example:
"2023-10-18T14:48:23.314Z"
User ID who last updated the queue
Example:
"8811501"
Timestamp when the queue was last updated
Example:
"2023-10-18T14:48:23.314Z"